System Groups: Systems pane: clicking system names doesn't work properly
Pull request:    

Description

When the user clicks a system name from the Systems pane for a System Group, they are not correctly redirected to the systems

page.

Scenario:

1. go to Hosts -> System Groups

2. select a system group

3. select the Systems pane (or Content Hosts, if that is what is is now labelled as)

4. click one of the items under the Name column

NOTE: the same behavior will occur from both the Remove/List and Add panes; therefore, this issue should address fixing both.

5. observe that it attempts to redirect to the Systems page; however, it isn't able to load the selected system.  Observe an error

similar to the following in the rails log:

Processing by Katello::Api::V2::SystemsController#show as JSON

Parameters: {"fields"=>"full", "api_version"=>"v2", "id"=>"4"}

Setting locale: en

Checking  params  for katello/api/v2/systems/show

Katello::System Load (0.3ms)  SELECT "katello_systems".* FROM "katello_systems" WHERE "katello_systems"."uuid" = '4' LIMIT 1

Katello::Errors::UserNotSet: unauthenticated to call a backend engine

Completed 403 Forbidden in 6.0ms (Views: 0.3ms | ActiveRecord: 0.3ms)

With body: {"displayMessage":"unauthenticated to call a backend engine","errors":["unauthenticated to call a backend engine"]}

Associated revisions

Revision 17ccacc4 - 04/21/2014 12:02 PM - Brad Buckingham

fixes #5233 - System Groups UI - fix cross-linking to the systems page

The cross-linking is using the active record id; however, the systems

page expects the system uuid to be used.

Revision 545112da - 04/21/2014 04:02 PM - Brad Buckingham

fixes #5233 - System Groups UI - fix cross-linking to the systems page

The cross-linking is using the active record id; however, the systems

page expects the system uuid to be used.

History

#1 - 04/17/2014 08:35 PM - Brad Buckingham

- Status changed from New to Assigned

- Assignee set to Brad Buckingham

#2 - 04/21/2014 05:54 PM - Brad Buckingham

05/17/2024 1/2



- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:545112da04fcc584226148b8d4422677d7c2a4b9.

#3 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
